## GtkSourceCompletionInfo GtkSourceCompletionInfo — Calltips object |

## Synopsis

    #include <gtksourceview/gtksourcecompletioninfo.h>

                        GtkSourceCompletionInfo;
    GtkSourceCompletionInfo * gtk_source_completion_info_new
                                                            (void);
    void                gtk_source_completion_info_move_to_iter
                                                            (GtkSourceCompletionInfo *info,
                                                             GtkTextView *view,
                                                             GtkTextIter *iter);
    void                gtk_source_completion_info_set_sizing
                                                            (GtkSourceCompletionInfo *info,
                                                             gint width,
                                                             gint height,
                                                             gboolean shrink_width,
                                                             gboolean shrink_height);
    void                gtk_source_completion_info_set_widget
                                                            (GtkSourceCompletionInfo *info,
                                                             GtkWidget *widget);
    GtkWidget *         gtk_source_completion_info_get_widget
                                                            (GtkSourceCompletionInfo *info);
    void                gtk_source_completion_info_process_resize
                                                            (GtkSourceCompletionInfo *info);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkSourceCompletionInfo

## Implemented Interfaces

GtkSourceCompletionInfo implements AtkImplementorIface and GtkBuildable.

## Properties

      "max-height"               gint                  : Read / Write / Construct
      "max-width"                gint                  : Read / Write / Construct
      "shrink-height"            gboolean              : Read / Write / Construct
      "shrink-width"             gboolean              : Read / Write / Construct

## Signals

      "before-show"                                    : Run Last / Action

## Description

This object can be used to show a calltip or help for the .* current completion proposal.

## Details

### GtkSourceCompletionInfo

    typedef struct _GtkSourceCompletionInfo GtkSourceCompletionInfo;

### gtk_source_completion_info_new ()

    GtkSourceCompletionInfo * gtk_source_completion_info_new
                                                            (void);

Returns : | The new GtkSourceCompletionInfo.

### gtk_source_completion_info_move_to_iter ()

    void                gtk_source_completion_info_move_to_iter
                                                            (GtkSourceCompletionInfo *info,
                                                             GtkTextView *view,
                                                             GtkTextIter *iter);

Moves the GtkSourceCompletionInfo to `iter`. If `iter` is `NULL` `info` is moved to the cursor position. Moving will respect the GdkGravity setting of the info window and will ensure the line at `iter` is not occluded by the window.

`info` : | A GtkSourceCompletionInfo
`view` : | A GtkTextView on which the info window should be positioned
`iter` : | A GtkTextIter

### gtk_source_completion_info_set_sizing ()

    void                gtk_source_completion_info_set_sizing
                                                            (GtkSourceCompletionInfo *info,
                                                             gint width,
                                                             gint height,
                                                             gboolean shrink_width,
                                                             gboolean shrink_height);

Set sizing information for the info window. If `shrink_width` or `shrink_height` is `TRUE`, the info window will try to resize to fit the window contents, with a maximum size given by `width` and `height`. Setting `width` or `height` to -1 removes the maximum size of respectively the width and height of the window.

`info` : | A GtkSourceCompletionInfo
`width` : | The maximum/requested width of the window (-1 to default)
`height` : | The maximum/requested height of the window (-1 to default)
`shrink_width` : | Whether to shrink the width of the window to fit its contents
`shrink_height` : | Whether to shrink the height of the window to fit its contents

### gtk_source_completion_info_set_widget ()

    void                gtk_source_completion_info_set_widget
                                                            (GtkSourceCompletionInfo *info,
                                                             GtkWidget *widget);

Sets the content widget of the info window. If `widget` does not fit within the size requirements of the window, a GtkScrolledWindow will automatically be created and added to the window.

`info` : | A GtkSourceCompletionInfo
`widget` : | A GtkWidget

### gtk_source_completion_info_get_widget ()

    GtkWidget *         gtk_source_completion_info_get_widget
                                                            (GtkSourceCompletionInfo *info);

Get the current content widget.

`info` : | A GtkSourceCompletionInfo
Returns : | The current content widget.

### gtk_source_completion_info_process_resize ()

    void                gtk_source_completion_info_process_resize
                                                            (GtkSourceCompletionInfo *info);

`info` : |

## Property Details

### The `"max-height"` property

      "max-height"               gint                  : Read / Write / Construct

The maximum allowed height.

Allowed values: >= G_MAXULONG

Default value: -1

### The `"max-width"` property

      "max-width"                gint                  : Read / Write / Construct

The maximum allowed width.

Allowed values: >= G_MAXULONG

Default value: -1

### The `"shrink-height"` property

      "shrink-height"            gboolean              : Read / Write / Construct

Whether the window should shrink height to fit the contents.

Default value: TRUE

### The `"shrink-width"` property

      "shrink-width"             gboolean              : Read / Write / Construct

Whether the window should shrink width to fit the contents.

Default value: TRUE

## Signal Details

### The `"before-show"` signal

    void                user_function                      (GtkSourceCompletionInfo *sourcecompletioninfo,
                                                            gpointer                 user_data)                 : Run Last / Action

`sourcecompletioninfo` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.